> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# チームがアクセスできるプロジェクトを一覧表示

> 直接割り当て、プロジェクトタグ、またはリポジトリURLの部分文字列によってアクセス権が付与されたプロジェクトを取得します。一致するすべてのアクセス経路は `sources` で確認できます。



## OpenAPI

````yaml /ja/api-reference/openapi.json get /teams/{team_id}/projects
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
  - url: https://eu.corgea.app/api/v1
    description: EU本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /teams/{team_id}/projects:
    parameters:
      - name: team_id
        in: path
        required: true
        description: チームID
        schema:
          type: integer
    get:
      tags:
        - チーム
      summary: チームがアクセスできるプロジェクトを一覧表示
      description: >-
        直接割り当て、プロジェクトタグ、またはリポジトリURLの部分文字列によってアクセス権が付与されたプロジェクトを取得します。一致するすべてのアクセス経路は
        `sources` で確認できます。
      operationId: listTeamProjects
      responses:
        '200':
          description: チームの対象プロジェクトを正常に取得しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamProjectsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: チームが見つかりません
components:
  schemas:
    TeamProjectsResponse:
      type: object
      required:
        - team_id
        - project_count
        - projects
      properties:
        team_id:
          type: integer
        project_count:
          type: integer
        projects:
          type: array
          items:
            $ref: '#/components/schemas/TeamProject'
    TeamProject:
      type: object
      required:
        - id
        - name
        - repo_url
        - tags
        - source
        - sources
      properties:
        id:
          type: integer
        name:
          type: string
        repo_url:
          type: string
          format: uri
          nullable: true
        tags:
          type: array
          items:
            type: string
        source:
          type: string
          description: 主な一致元です。
          enum:
            - explicit
            - tag
            - repo_url
        sources:
          type: array
          description: このプロジェクトが一致するすべてのアクセス経路です。
          items:
            type: string
            enum:
              - explicit
              - tag
              - repo_url
  responses:
    Unauthorized:
      description: トークンが無効か、指定されていません
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Missing or invalid authorization header
    Forbidden:
      description: 権限がないか、機能を利用できません
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Permission denied
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー 無効なユーザーのAPIトークンは拒否されます。
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.